> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List deliveries for a webhook

> Returns a paginated list of deliveries for a single webhook subscription, identified by its id. Each record reports the event, delivery status, attempt count, and the last response code or error.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /webhooks/{id}/deliveries
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /webhooks/{id}/deliveries:
    get:
      tags:
        - Webhook Deliveries
      summary: List deliveries for a webhook
      description: >-
        Returns a paginated list of deliveries for a single webhook
        subscription, identified by its id. Each record reports the event,
        delivery status, attempt count, and the last response code or error.
      operationId: listWebhookDeliveries
      parameters:
        - schema:
            type: string
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          name: id
          in: path
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
      responses:
        '200':
          description: Deliveries
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        endpointId:
                          type: string
                          format: uuid
                        eventId:
                          type: string
                        eventType:
                          type: string
                        source:
                          type: string
                        status:
                          type: string
                          enum:
                            - pending
                            - success
                            - skipped
                            - dead
                        attempts:
                          type: number
                        lastStatusCode:
                          type:
                            - number
                            - 'null'
                        lastError:
                          type:
                            - string
                            - 'null'
                        durationMs:
                          type:
                            - number
                            - 'null'
                        isTest:
                          type: boolean
                        occurredAt:
                          type: string
                        createdAt:
                          type: string
                        completedAt:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - endpointId
                        - eventId
                        - eventType
                        - source
                        - status
                        - attempts
                        - lastStatusCode
                        - lastError
                        - durationMs
                        - isTest
                        - occurredAt
                        - createdAt
                        - completedAt
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - items
                  - pagination
        '401':
          description: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.webhooks.deliveries.listForWebhook(
              '550e8400-e29b-41d4-a716-446655440000',
            );

            console.log(response.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.deliveries.list_for_webhook(
                id="550e8400-e29b-41d4-a716-446655440000",
            )
            print(response.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Webhooks.Deliveries.ListForWebhook(\n\t\tcontext.TODO(),\n\t\t\"550e8400-e29b-41d4-a716-446655440000\",\n\t\tmobileruncloud.WebhookDeliveryListForWebhookParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud webhooks:deliveries list-for-webhook \
              --api-key 'My API Key' \
              --id 550e8400-e29b-41d4-a716-446655440000
components:
  schemas:
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````